### Method

# RB History set_playing

#### Declaration [src]

    void
    rb_history_set_playing (
      RBHistory* hist,
      RhythmDBEntry* entry
    )

#### Description [src]

Updates the current position to point to the specified entry. If the truncate-on-play property is set, this will remove all entries after that.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  The new playing `RhythmDBEntry`.

  The data is owned by the caller of the method.